## org.eclipse.datatools.modelbase.sql.query
Interface QuerySelectStatement

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryStatement, SQLDataStatement, SQLObject, SQLQueryObject, SQLStatement

    public interface QuerySelectStatement

extends QueryStatement

A representation of the model object 'SQL Select Statement'.

The following features are supported:

- `Query Expr`
- `Order By Clause`
- `Updatability Expr`

See Also:
  `SQLQueryModelPackage.getQuerySelectStatement()`

Method Summary
`org.eclipse.emf.common.util.EList` `getOrderByClause()` Returns the value of the 'Order By Clause' containment reference list.
`QueryExpressionRoot` `getQueryExpr()` Returns the value of the 'Query Expr' containment reference.
`UpdatabilityExpression` `getUpdatabilityExpr()` Returns the value of the 'Updatability Expr' containment reference.
`void` `setQueryExpr(QueryExpressionRoot value)` Sets the value of the '`Query Expr`' containment reference.
`void` `setUpdatabilityExpr(UpdatabilityExpression value)` Sets the value of the '`Updatability Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Method Detail

### getQueryExpr

    QueryExpressionRoot getQueryExpr()

  Returns the value of the 'Query Expr' containment reference. It is bidirectional and its opposite is '`Select Statement`'.

  If the meaning of the 'Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `setQueryExpr(QueryExpressionRoot)`, `SQLQueryModelPackage.getQuerySelectStatement_QueryExpr()`, `QueryExpressionRoot.getSelectStatement()`

### setQueryExpr

    void setQueryExpr(QueryExpressionRoot value)

  Sets the value of the '`Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expr' containment reference.
  See Also:
    `getQueryExpr()`

### getOrderByClause

    org.eclipse.emf.common.util.EList getOrderByClause()

  Returns the value of the 'Order By Clause' containment reference list. The list contents are of type `OrderBySpecification`. It is bidirectional and its opposite is '`Select Statement`'.

  If the meaning of the 'Order By Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order By Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelectStatement_OrderByClause()`, `OrderBySpecification.getSelectStatement()`

### getUpdatabilityExpr

    UpdatabilityExpression getUpdatabilityExpr()

  Returns the value of the 'Updatability Expr' containment reference. It is bidirectional and its opposite is '`Select Statement`'.

  If the meaning of the 'Updatability Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Updatability Expr' containment reference.
  See Also:
    `setUpdatabilityExpr(UpdatabilityExpression)`, `SQLQueryModelPackage.getQuerySelectStatement_UpdatabilityExpr()`, `UpdatabilityExpression.getSelectStatement()`

### setUpdatabilityExpr

    void setUpdatabilityExpr(UpdatabilityExpression value)

  Sets the value of the '`Updatability Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Updatability Expr' containment reference.
  See Also:
    `getUpdatabilityExpr()`